%global gittag R1_10

Name:      eclipse-emf-query
Version:   1.10.0
Release:   1%{?dist}
Summary:   Specify and execute queries against EMF models
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=query

Source0:   http://git.eclipse.org/c/emf-query/org.eclipse.emf.query.git/snapshot/org.eclipse.emf.query-%{gittag}.tar.xz

BuildArch:        noarch

BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-mdt-ocl >= 4.0.0
BuildRequires:    eclipse-mdt-uml2 >= 4.0.0
BuildRequires:    eclipse-emf-examples
BuildRequires:    eclipse-contributor-tools
BuildRequires:    tycho
BuildRequires:    eclipse-license
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-plugin-build-helper
BuildRequires:    ant-contrib

%description
The query component facilitates the process of search and retrieval of model
elements of interest in a flexible yet controlled and structured manner.
Provides API support for the basic EObject based Condition objects that are
used to formulate queries for EMF models.

%prep
%setup -q -n org.eclipse.emf.query-%{gittag}

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.master-feature org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.repository org.eclipse.emf.query.releng/pom.xml

# Disable examples
%pom_xpath_remove "plugin[@id='org.eclipse.emf.query.examples']" org.eclipse.emf.query.doc-feature/feature.xml
%pom_disable_module ../org.eclipse.emf.query.examples org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.examples.statements org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.examples.ocl org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.examples-feature org.eclipse.emf.query.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.query.examples.source-feature org.eclipse.emf.query.releng/pom.xml

%mvn_package "::pom::" __noinstall
%mvn_package ":*.tests" __noinstall
%mvn_package "::jar:{sources,sources-feature}:"

%build
%mvn_build -j -- -f org.eclipse.emf.query.releng/pom.xml

%install
%mvn_install

%files -f .mfiles
%license org.eclipse.emf.query-feature/epl-v10.html

%changelog
* Wed Oct 05 2016 Mat Booth <mat.booth@redhat.com> - 1.10.0-1
- Update to latest release
- Don't ship tests and examples

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-4
- Add missing build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 1.9.0-2
- Rebuild as an Eclipse p2 Droplet.

* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 1.9.0-1
- Update to Mars release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 4 2015 Alexander Kurtakov <akurtako@redhat.com> 1.8.0-1
- Update to 1.8 release
- Migrate to xmvn.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913950.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 21 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843211.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.
- Fixes RHBZ #631230.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-2
- Don't pretty-print the package description.
- Remove spurious executable permissions from docs.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-1
- New query spec file based on eclipse-gef.
